org.apache.poi.hwpf.model

## Class FieldsTables

- java.lang.Object
- - org.apache.poi.hwpf.model.FieldsTables

-     @Internal
      public class FieldsTables
      extends java.lang.Object

  This class provides access to all the fields Plex.
  Author:
    Cedric Bosdonnat

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `PLCFFLDATN` Deprecated.
    `static int` | `PLCFFLDEDN` Deprecated.
    `static int` | `PLCFFLDFTN` Deprecated.
    `static int` | `PLCFFLDHDR` Deprecated.
    `static int` | `PLCFFLDHDRTXBX` Deprecated.
    `static int` | `PLCFFLDMOM` Deprecated.
    `static int` | `PLCFFLDTXBX` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldsTables(byte[] tableStream, FileInformationBlock fib)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.ArrayList<PlexOfField>` | `getFieldsPLCF(FieldsDocumentPart part)`
    `java.util.ArrayList<PlexOfField>` | `getFieldsPLCF(int partIndex)` Deprecated.
    `void` | `write(FileInformationBlock fib, java.io.ByteArrayOutputStream tableStream)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PLCFFLDATN

          @Deprecated
          public static final int PLCFFLDATN

      Deprecated.
      annotation subdocument
      See Also:
        Constant Field Values

    - #### PLCFFLDEDN

          @Deprecated
          public static final int PLCFFLDEDN

      Deprecated.
      endnote subdocument
      See Also:
        Constant Field Values

    - #### PLCFFLDFTN

          @Deprecated
          public static final int PLCFFLDFTN

      Deprecated.
      footnote subdocument
      See Also:
        Constant Field Values

    - #### PLCFFLDHDR

          @Deprecated
          public static final int PLCFFLDHDR

      Deprecated.
      header subdocument
      See Also:
        Constant Field Values

    - #### PLCFFLDHDRTXBX

          @Deprecated
          public static final int PLCFFLDHDRTXBX

      Deprecated.
      header textbox subdoc
      See Also:
        Constant Field Values

    - #### PLCFFLDMOM

          @Deprecated
          public static final int PLCFFLDMOM

      Deprecated.
      main document
      See Also:
        Constant Field Values

    - #### PLCFFLDTXBX

          @Deprecated
          public static final int PLCFFLDTXBX

      Deprecated.
      textbox subdoc
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FieldsTables

          public FieldsTables(byte[] tableStream,
                              FileInformationBlock fib)

  - ### Method Detail

    - #### getFieldsPLCF

          public java.util.ArrayList<PlexOfField> getFieldsPLCF(FieldsDocumentPart part)

    - #### getFieldsPLCF

          @Deprecated
          public java.util.ArrayList<PlexOfField> getFieldsPLCF(int partIndex)

      Deprecated.

    - #### write

          public void write(FileInformationBlock fib,
                            java.io.ByteArrayOutputStream tableStream)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.